February 4, 2015

App Store and iOS versions

9to5mac, pointing out the problem of apps that stop working due to iOS version updates. This time, it’s a game from Square Enix, who should be ashamed for not pulling this right away, thus fooling its customers.

But what happens when an app — marketed as compatible with current iPhones, iPads, and iPod touches — is never updated for the latest version of iOS, and either stops working after an iOS upgrade, or never works at all on new devices? That’s the situation buyers of Square Enix’s $18 The World Ends with You: Solo Remix (and $20 iPad version) have found themselves in since iOS 8 was released. The game’s description claims that it “requires iOS 4.3 or later” and is compatible with devices that shipped with iOS 8, but it wasn’t actually iOS 8-compatible.

Apple should consider stepping in and removing this game.

Thoughts? Let @tdh know on Twitter, or find me elsewhere. There is also a newsletter.